MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::ThreadLock Class Reference

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's. More...

`#include <thread.h>`

Inheritance diagram for sc::ThreadLock:

List of all members.

## Public Member Functions

virtual void | lock ()=0
| Obtain the lock.
virtual void | unlock ()=0
| Release the lock.

## Detailed Description

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's.

ThreadLock objects should be locked and unlocked with ThreadLockHolder objects to provide exception safety.

The documentation for this class was generated from the following file:

- thread.h